// Code generated by mockery v1.0.0. DO NOT EDIT.

package mocks

import context "context"
import mock "github.com/stretchr/testify/mock"
import time "time"
import weatherapi "gitlab.com/maciej.dlugoszek/weatherapi"

// QueryStorage is an autogenerated mock type for the QueryStorage type
type QueryStorage struct {
	mock.Mock
}

// Get provides a mock function with given fields: ctx, from, to
func (_m *QueryStorage) Get(ctx context.Context, from time.Time, to time.Time) (*weatherapi.QueryStatistics, error) {
	ret := _m.Called(ctx, from, to)

	var r0 *weatherapi.QueryStatistics
	if rf, ok := ret.Get(0).(func(context.Context, time.Time, time.Time) *weatherapi.QueryStatistics); ok {
		r0 = rf(ctx, from, to)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*weatherapi.QueryStatistics)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, time.Time, time.Time) error); ok {
		r1 = rf(ctx, from, to)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Put provides a mock function with given fields: ctx, query, weather
func (_m *QueryStorage) Put(ctx context.Context, query *weatherapi.WeatherQuery, weather *weatherapi.Weather) error {
	ret := _m.Called(ctx, query, weather)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *weatherapi.WeatherQuery, *weatherapi.Weather) error); ok {
		r0 = rf(ctx, query, weather)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
